:root {
  --header_size: 48px;
}

html, body {
  margin: 0;
  padding: 0;
}

.leaflet-bottom.leaflet-left {
  display: none;
}

.menu {
  display: block !important;
  z-index: 1000;
}

#header {
  position: relative;
  /* top: 0; */
  width: 100%;
  height: var(--header_size);
}

.menu {
  position: fixed !important;
  bottom: 10px !important;
  z-index: 1000;
  left: 10px;
}

.menuItem {
  background: #ffffff;
  position: static;
  height: 30px;
  width: 30px;
  color: #111111;
  cursor: pointer;
  line-height: 26px;
  /* text-align: center; */
  font-weight: 900;
  font-size: 22px;
  font-family: sans-serif;
  /* text-indent: 1px; */
}

.menuItem.top {
  /* border-top: 2px solid rgba(0,0,0,0.2);
  border-top-left-radius: 4px;
  border-top-right-radius: 4px; */
}

.menuItem.bottom {
  /* border-top-left-radius: 4px;
  border-top-right-radius: 4px; */
}

.menuItem img {
  position: relative;
  top: 5px;
  left: 5px;
  height: 20px;
  width: 20px;
}

.menuItem span {
  position: relative;
  top: 0;
  left: 30px;
  font-size: 15px;
  line-height: 30px;
  display: none;
}

.menuItem:hover {
  width: 150px;
  background-color: #f4f4f4;
}

.menuItem:hover span {
  display: inline;
}

.menuItem:active {
  background-color: #e2e2e2;
}

#map {
  /* position: fixed; */
  width: 100vw;
  height: 100vh;
  z-index: 900;
}

.leaflet-marker-icon {
  /* box-shadow: 0 0 5px 5px rgba(0, 0, 0, .5); */
  -webkit-filter: drop-shadow(1px 5px 5px rgba(1, 1, 1, 0.35));
  filter: drop-shadow(1px 5px 5px, rgba(1, 1, 1, 0.35));
}

.hidden {
  display: none;
}

.marker-red {
  background-color: #ffcccc;
  padding: 2px;
  border-radius: 10px;
}

/* Label with number of composite cameras. */
.composite-cameras-label {
  background-color: rgba(1, 146, 217, 0.66);
  background-clip: padding-box;
  color: #fff;
	border: 4px solid rgba(0,0,0,0.25);
	border-radius: 4px;
  font-weight: bold;
  padding: 3px 6px;
  box-shadow: none;
}

.composite-cameras-label.leaflet-tooltip-right::before {
  left: -4px;
  border-right-color: rgba(0,0,0,0.25);
}

.composite-cameras-label.leaflet-tooltip-left::before {
  right: -4px;
  border-left-color: rgba(0,0,0,0.25);
}

.details {
  position: relative;
  bottom: 15px;
  left: 15px;
  right: 15px;
  background: white;
  z-index: 1000;
}